libgphoto2 (libgphoto2): libgphoto2/gphoto2-abilities-list.c File Reference

Main Page | Data Structures | Directories | File List | Data Fields | Globals | Related Pages

# gphoto2-abilities-list.c File Reference

List of supported camera models including their abilities. More...

`#include "config.h"`
`#include "gphoto2-abilities-list.h"`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <ltdl.h>`
`#include "gphoto2-result.h"`
`#include "gphoto2-port-log.h"`
`#include "gphoto2-library.h"`

Include dependency graph for gphoto2-abilities-list.c:

## Data Structures
struct | _CameraAbilitiesList
## Defines
#define | textdomain(String) (String)
#define | gettext(String) (String)
#define | dgettext(Domain, Message) (Message)
#define | dcgettext(Domain, Message, Type) (Message)
#define | bindtextdomain(Domain, Directory) (Domain)
#define | bind_textdomain_codeset(Domain, Charset) (Domain)
#define | _(String) (String)
#define | N_(String) (String)
#define | GP_MODULE "gphoto2-abilities-list"
#define | CHECK_NULL(r) {if (!(r)) return (GP_ERROR_BAD_PARAMETERS);}
#define | CHECK_RESULT(result) {int r = (result); if (r < 0) return (r);}
#define | CHECK_MEM(m) {if (!(m)) return (GP_ERROR_NO_MEMORY);}
#define | CAMLIBDIR_ENV "CAMLIBS"
## Functions
const char * | gp_message_codeset (const char *codeset)
int | gp_abilities_list_new (CameraAbilitiesList **list)
int | gp_abilities_list_free (CameraAbilitiesList *list)
| Free the given CameraAbilitiesList object.
int | gp_abilities_list_load (CameraAbilitiesList *list, GPContext *context)
| Scans the system for camera drivers.
int | gp_abilities_list_detect (CameraAbilitiesList *list, GPPortInfoList *info_list, CameraList *l, GPContext *context)
int | gp_abilities_list_append (CameraAbilitiesList *list, CameraAbilities abilities)
| Append the abilities to the list.
int | gp_abilities_list_reset (CameraAbilitiesList *list)
| Reset the list.
int | gp_abilities_list_count (CameraAbilitiesList *list)
| Count the entries in the supplied list.
int | gp_abilities_list_lookup_model (CameraAbilitiesList *list, const char *model)
| Search the list for an entry of given model name.
int | gp_abilities_list_get_abilities (CameraAbilitiesList *list, int index, CameraAbilities *abilities)
| Retrieve the camera abilities of entry with supplied index number.

## Detailed Description

List of supported camera models including their abilities.

Author:
  Copyright © 2000 Scott Fritzinger

  This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

## Define Documentation

#define CAMLIBDIR_ENV "CAMLIBS"

| Name of the environment variable which may contain the path where to look for the camlibs. If this environment variable is not defined, use the compiled-in default constant.

## Function Documentation

int gp_abilities_list_append | ( | CameraAbilitiesList * | list,
|  | CameraAbilities | abilities
| ) |

  | Append the abilities to the list. Parameters:
  | list | CameraAbilitiesList
  | abilities | CameraAbilities
Returns: a gphoto2 error code This function is called by a camera library on camera_abilities() in order to inform libgphoto2 about a supported camera model.

int gp_abilities_list_count | ( | CameraAbilitiesList * | list | ) |

  | Count the entries in the supplied list. Parameters:
  | a | CameraAbilitiesList
Returns: The number of entries or a gphoto2 error code

int gp_abilities_list_detect | ( | CameraAbilitiesList * | list,
|  | GPPortInfoList * | info_list,
|  | CameraList * | l,
|  | GPContext * | context
| ) |

  | Parameters:
  | list | a CameraAbilitiesList
  | info_list | a GPPortInfoList
  | l | a CameraList
Returns: a gphoto2 error code Tries to detect any camera connected to the computer using the supplied list of supported cameras and the supplied info_list of ports.

int gp_abilities_list_free | ( | CameraAbilitiesList * | list | ) |

  | Free the given CameraAbilitiesList object. Parameters:
  | list | a CameraAbilitiesList
Returns: a gphoto2 error code

int gp_abilities_list_get_abilities | ( | CameraAbilitiesList * | list,
|  | int | index,
|  | CameraAbilities * | abilities
| ) |

  | Retrieve the camera abilities of entry with supplied index number. Parameters:
  | list | a CameraAbilitiesList
  | index | index
  | abilities | CameraAbilities
Returns: a gphoto2 error code Retrieves the camera of entry with supplied index number. Typically, you would call gp_camera_set_abilities() afterwards in order to prepare the initialization of a camera.

int gp_abilities_list_load | ( | CameraAbilitiesList * | list,
|  | GPContext * | context
| ) |

  | Scans the system for camera drivers. Parameters:
  | list | a CameraAbilitiesList
  | context | a GPContext
Returns: a gphoto2 error code All supported camera models will then be added to the list.

int gp_abilities_list_lookup_model | ( | CameraAbilitiesList * | list,
|  | const char * | model
| ) |

  | Search the list for an entry of given model name. Parameters:
  | list | a CameraAbilitiesList
  | model | a camera model name
Returns: Index of entry or gphoto2 error code

int gp_abilities_list_new | ( | CameraAbilitiesList ** | list | ) |

  | Allocate the memory for a new abilities list. Parameters:
  | list | CameraAbilitiesList object to initialize
Returns: gphoto2 error code You would then call gp_abilities_list_load() in order to populate it.

int gp_abilities_list_reset | ( | CameraAbilitiesList * | list | ) |

  | Reset the list. Parameters:
  | list | a CameraAbilitiesList
Returns: a gphoto2 error code

const char* gp_message_codeset | ( | const char * | codeset | ) |

  | Set the codeset for all messages returned by libgphoto2. Parameters:
  | codeset | New codeset for the messages. For instance "utf-8".
Returns: old codeset as returned from bind_textdomain_codeset(). You would then call gp_abilities_list_load() in order to populate it.